# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/app-misc/drvcntl/drvcntl-0.01.ebuild,v 1.1.1.1 2005/11/13 04:25:27 zool Exp $

inherit eutils

DESCRIPTION="Utility to control a removal device (CD-ROM, MO, etc.) for Linux/TOWNS."
HOMEPAGE="http://zool.jpn.org/gentoo-towns/index.html"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	emake || die
}

src_install() {
	dobin drvcntl
	dodoc README
}
