# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/app-misc/pad_probe/pad_probe-2.2.ebuild,v 1.1.1.1 2005/11/13 04:25:30 zool Exp $

inherit eutils

DESCRIPTION="Utility for probing pad device of FM-TOWNS."
HOMEPAGE="http://zool.jpn.org/gentoo-towns/index.html"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${A}
	mv pad_probe ${P}
	cd ${P}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	emake || die
}

src_install() {
	sed -i -e 's:BINDIR=.*:BINDIR=/usr/sbin:' mouse_config.sh
	dosbin pad_probe mouse_config.sh
	dodoc README.pad_probe
}
