# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/app-portage/portage-towns/portage-towns-3.0.ebuild,v 1.1.1.1 2005/11/13 04:25:35 zool Exp $

GENTOO_TOWNS_URL="http://zool.jpn.org/gentoo-towns"

DESCRIPTION="Portage tree for Gentoo Linux/TOWNS"
HOMEPAGE="${GENTOO_TOWNS_URL}/index.html"
SRC_URI=""

KEYWORDS="-* x86"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
DEPEND=""
RESTRICT="nomirror"

S=${WORKDIR}/${P}

PORTDIR_OVERLAY_TOWNS="${ROOT}usr/local/TOWNS/portage"

src_unpack() {
	mkdir ${P}
	wget ${GENTOO_TOWNS_URL}/releases/${PN}.tar.bz2 -P ${P} \
		|| die "Download failed."
}

src_compile() {
	return
}

pkg_preinst() {
	if [ -d ${PORTDIR_OVERLAY_TOWNS} ]; then
		mv ${PORTDIR_OVERLAY_TOWNS} ${PORTDIR_OVERLAY_TOWNS}.$$
	fi
}

src_install() {
	tar -jxf ${PN}.tar.bz2 -C ${D}
}

pkg_postinst() {
	echo
	ewarn
	ewarn "You must add value of PORTDIR_OVERLAY to ${PORTDIR_OVERLAY_TOWNS}"
	ewarn
	ewarn "Example:"
	ewarn "	PORTDIR_OVERLAY=\"${PORTDIR_OVERLAY_TOWNS} \${PORTDIR_OVERLAY}\""
	ewarn
	echo
}
