# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/media-sound/cdp/cdp-0.9.ebuild,v 1.1.1.1 2005/11/13 04:25:36 zool Exp $

inherit eutils

DESCRIPTION="CD-DA player for Linux/TOWNS console."
HOMEPAGE="http://zool.jpn.org/gentoo-towns/index.html"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/${P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/${P}-fix.patch
}

src_compile() {
	emake || die
}

src_install() {
	dobin cdp
	dodoc README
}
