# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/sys-apps/kfont/kfont-1.0.ebuild,v 1.1.1.1 2005/11/13 04:25:45 zool Exp $

inherit eutils

DESCRIPTION="Utility for loading/saving kanji-font of Linux/TOWNS console."
HOMEPAGE="http://zool.jpn.org/index.html"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/kfont.tgz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${A}
	mv kfont ${P}
	cd ${S}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	emake exec || die "compile failed."
}

src_install() {
	dobin convkfont loadkfont savekfont
	dodoc kfont.doc
}
