# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/media-sound/xcdplay/xcdplay-1.0.ebuild,v 1.1.1.1 2005/11/13 04:25:39 zool Exp $

inherit eutils

DESCRIPTION="CD-DA player for X windows on Linux/TOWNS."
HOMEPAGE="http://www2.tomato.ne.jp/~tera/soft/xcdplay.html"
SRC_URI="http://www2.tomato.ne.jp/~tera/soft/xcdplay.tgz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources
	virtual/x11"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${PN}.tgz
	mv ${PN} ${P}
	cd ${S}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	xmkmf
	make depend || die
	make clean
	emake xcdplay || die
}

src_install() {
	mkdir -p ${D}usr/X11R6/lib/X11/xcdplay
	cp -p ./*.xbm ${D}usr/X11R6/lib/X11/xcdplay
	sed -i	-e "s:^\!xcdplay:xcdplay:" \
		-e "s:/usr/src/xcdplay:/usr/X11R6/lib/X11/xcdplay:" \
		./XCdplay
	mkdir -p ${D}usr/X11R6/lib/X11/app-defaults
	cp -p ./XCdplay ${D}usr/X11R6/lib/X11/app-defaults/XCdplay
	dobin xcdplay
	dodoc README
}
