# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/sys-apps/cmos/cmos-0.1.ebuild,v 1.1.1.1 2005/11/13 04:25:41 zool Exp $

inherit eutils

DESCRIPTION="Utility to control CMOS on Linux/TOWNS."
HOMEPAGE="http://zool.jpn.org/gentoo-towns/index.html"
SRC_URI="http://zool.jpn.org/gentoo-towns/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* x86"
IUSE=""
DEPEND="sys-kernel/towns-sources"
#RDEPEND=""
RESTRICT="nomirror"

src_unpack() {
	unpack ${A}
	mv cmos-01 ${P}
	cd ${P}
	epatch ${FILESDIR}/${P}-fix.diff
}

src_compile() {
	emake cmos || die
}

src_install() {
	dosbin cmos
	dodoc README.jp
	fowners root.root /usr/sbin/cmos
	fperms 4755 /usr/sbin/cmos
}
