# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/zool/cvsroot/gentoo-x86-towns/sys-kernel/towns-sources/towns-sources-2.4.32.ebuild,v 1.1 2005/11/21 06:29:56 zool Exp $

ETYPE="sources"
inherit kernel-2
detect_version

# Version of gentoo patchset

# TOWNSRV: revision of Linux/TOWNS patch. "rv" of "Linux/TOWNS 2.4.xx-rv"
TOWNSRV=01
#TOWNS_PATCH="lt-${KV_MAJOR}${KV_MINOR}${KV_PATCH}-${TOWNSRV}.patch.bz2"
TOWNS_PATCH="lt-2431-01.patch.bz2"

KEYWORDS="-* x86"
IUSE=""

UNIPATCH_STRICTORDER="yes"
UNIPATCH_LIST="${DISTDIR}/${TOWNS_PATCH} ${FILESDIR}/${PF}.diff"

DESCRIPTION="Full sources of Linux/TOWNS ${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-${TOWNSRV} kernel."
HOMEPAGE="${HOMEPAGE} http://www.nurs.or.jp/~kurati/towns/towns.html"
SRC_URI="${KERNEL_URI}
	http://www.nurs.or.jp/~kurati/towns/${KV_MAJOR}.${KV_MINOR}/${TOWNS_PATCH}"

K_EXTRAEWARN="When building a kernel from this Linux/TOWNS source tree,
	you CANNOT use a \'genkernel\' command.
	Please use \'make {config|menuconfig|oldconfig|...}\' manually."

DEPEND="${DEPEND}"
RESTRICT="nomirror"

pkg_postinst() {
	# ensure remove /usr/src/linux
	rm -f ${ROOT}usr/src/linux
	kernel-2_pkg_postinst
}
